Skip to main content
PATCH
/
v1
/
payments
/
links
/
{id}
Update a payment link
curl --request PATCH \
  --url https://api.sandbox.busha.so/v1/payments/links/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "quote_amount": "100",
  "quote_currency": "BTC",
  "target_amount": "100",
  "target_currency": "BTC",
  "name": "<string>",
  "title": "<string>",
  "description": "<string>",
  "status": "pending",
  "require_extra_info": [
    {
      "field_name": "<string>",
      "required": true
    }
  ],
  "images": [
    "<string>"
  ],
  "allow_customer_amount": true,
  "amount_limit": {
    "min_amount": "100",
    "max_amount": "100"
  },
  "allow_quantity_selection": true
}
'
{ "status": "success", "message": "message for success", "data": { "id": "bus_123456789", "profile_id": "bus_123456789", "fixed": false, "one_time": false, "link": "https://pay.busha.io/charges/123456789", "name": "Payment Link", "title": "<string>", "description": "<string>", "target_currency": "BTC", "status": "pending", "created_at": "2023-10-15T12:15:30Z", "updated_at": "2023-10-15T12:15:30Z", "quote_amount": "100", "quote_currency": "BTC", "target_amount": "100", "meta": { "images": [ "<string>" ], "allow_customer_amount": true, "amount_limit": { "min_amount": "100", "max_amount": "100" }, "allow_quantity_selection": true, "require_extra_info": [ { "field_name": "<string>", "required": true } ] }, "pub_key": "<string>", "expires_at": "2023-10-15T12:15:30Z" } }

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Path Parameters

id
string<nanoid>
required
Example:

"bus_123456789"

Body

application/json
quote_amount
string | null

nullable decimal value

Example:

"100"

quote_currency
string<string> | null
Required string length: 1 - 10
Example:

"BTC"

target_amount
string | null

nullable decimal value

Example:

"100"

target_currency
string<string>

A valid currency

Required string length: 1 - 10
Example:

"BTC"

name
string
title
string
description
string
status
enum<string>
Available options:
pending,
active
require_extra_info
object[]
images
string<url>[]
allow_customer_amount
boolean
amount_limit
object
allow_quantity_selection
boolean

Response

Successful response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required